Page MenuHomePhabricator

Emails sent via EmailUser function not working for user on en.wp
Closed, DuplicatePublic

Description

I (https://en.wikipedia.org/wiki/User:GRuban) am not able to send or receive Wikipedia email using the EmailUser interface .
I tried emailing several other users, and they never got anything (and I never got copies of the emails). I tried emailing myself, with the same (lack of) results. I even changed my email address, twice, and retried Wikipedia email still getting the same (lack of) results.

Now I seem to be locked out of EmailUser, and am getting

"Action throttled
From Wikipedia, the free encyclopedia
As an anti-abuse measure, you are limited from performing this action too many times in a short space of time, and you have exceeded this limit. Please try again in a few minutes."

though it's been a day since the last time I tried to mail anything.

Event Timeline

GRuban created this task.Jan 7 2016, 3:57 PM
GRuban raised the priority of this task from to High.
GRuban updated the task description. (Show Details)
GRuban added a subscriber: GRuban.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2016, 3:57 PM
GRuban added a comment.Jan 7 2016, 4:22 PM

Also another user said they emailed me through the interface, and I haven't gotten anything (on either of the email accounts I changed preferences to).

GRuban added a comment.Jan 7 2016, 8:36 PM

I also tried mailing myself from Wikimedia Commons, and got the same lack of response, except the message: "Your registered email address ... has been unsubscribed due to multiple message delivery failures. You can verify your email address again."
I was able to verify successfully - in other words, I do get the verification emails, just not the actual user generated emails.

Aklapper raised the priority of this task from High to Needs Triage.Jan 9 2016, 1:06 AM

Hi @GRuban, thanks for taking the time to report this!

Is this really related to the Wikipedia Mobile App or to the version in your browser? Is this about English Wikipedia? Are you using a Yahoo email address?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 9 2016, 1:06 AM
Aklapper renamed this task from Wikipedia mail (EmailUser) broken to Emails sent via EmailUser function not working for user on en.wp.Jan 9 2016, 1:06 AM
Aklapper set Security to None.
GRuban added a comment.Jan 9 2016, 2:11 AM

Browser, I don't use the Mobile App.This happens on English Wikipedia and Wikimedia Commons.I have a Yahoo account now, but I tried switching to a Google account, same results.Yes, I tried looking in Trash and Spam folders; not there.Note that confirmation emails from switching accounts do show up.Also note that emails I *sent* via Email User also didn't get to the recipients.

GRuban added a comment.Jan 9 2016, 2:40 AM

And ... just now I was able to at least get the form to email myself. (on English Wikipedia) I filled it out, submitted it, and some minutes later, got the "Your registered email address ... has been unsubscribed due to multiple message delivery failures. You can verify your email address again.". Only filled it out once. Now I guess I have to verify again.

I also tried mailing myself from Wikimedia Commons, and got the same lack of response, except the message: "Your registered email address ... has been unsubscribed due to multiple message delivery failures. You can verify your email address again."
I was able to verify successfully - in other words, I do get the verification emails, just not the actual user generated emails.

That is BounceHandler un-verifiying your email account due to more than 5 message delivery failures. The history still remains in the db, hence whenever the 6th one turn up after you have re-verified your email, you get un-verified again.

@Reedy, have time to help me investigate the db ?

This is still going on, if anyone is interested. Someone sent me Wikimedia mail, which I didn't get, and to confirm I sent myself mail, which I didn't get.

https://en.wikipedia.org/wiki/User_talk:GRuban#You.27ve_got_mail

Reedy added a comment.Jan 20 2016, 7:45 PM

It seems very weird you get authentication emails, but then user emails fail...

This comment was removed by Reedy.
mysql:wikiadmin@10.64.16.20 [wikishared]> select br_timestamp, br_reason from bounce_records where br_user_email = '<REMOVED>';
+----------------+---------------------------------------------------+
| br_timestamp   | br_reason                                         |
+----------------+---------------------------------------------------+
| 20160106160857 | Mail delivery failed: returning message to sender |
| 20160106162433 | Mail delivery failed: returning message to sender |
| 20160106163026 | Mail delivery failed: returning message to sender |
| 20160106183314 | Mail delivery failed: returning message to sender |
| 20160106211046 | Mail delivery failed: returning message to sender |
| 20160107162653 | Mail delivery failed: returning message to sender |
| 20160109021851 | Mail delivery failed: returning message to sender |
| 20160120150918 | Mail delivery failed: returning message to sender |
| 20160120151846 | Mail delivery failed: returning message to sender |
+----------------+---------------------------------------------------+
9 rows in set (0.00 sec)

It's a Yahoo email, so I guess this a dupe of T58414

No, the Yahoo email part is not it; I did try to change my email address to a Google email, and got the same (lack of) result.
I also changed my email to a Google email just now, and again tried to mail myself, and haven't gotten anything.
Though I did get the confirmation email that asked me to click on a link that proved I changed my email address.
So whatever the issue is, it affects both Yahoo and Google email, so I think it is on the Wikimedia end.

What? How is it not it? It might not be the complete problem, but it's part of it. Did you look at T58414 ? Yahoo consider Wikimedia a bulk/spam sender

Noting, I know plenty of people get emails fine to their Google emails

archive/BounceHandler.log-20160109.gz:2016-01-09 02:18:56 mw1161 enwiki BounceHandler INFO: Un-subscribed global user GRuban <REDACTED@yahoo.com> for exceeding Bounce Limit 5.
archive/BounceHandler.log-20160109.gz:Processed Headers:
archive/BounceHandler.log-20160109.gz:x-failed-recipients: REDACTED@yahoo.com
archive/BounceHandler.log-20160109.gz:to: wiki-enwiki-do8y-o0nyff-TShXml0dHQrOgH98@wikimedia.org
archive/BounceHandler.log-20160109.gz:subject: Mail delivery failed: returning message to sender
archive/BounceHandler.log-20160109.gz:date: Sat, 09 Jan 2016 02:18:52 +0000
archive/BounceHandler.log-20160109.gz:Bounced Email: 
archive/BounceHandler.log-20160109.gz:From MAILER-DAEMON Sat Jan 09 02:18:52 2016
archive/BounceHandler.log-20160109.gz:Received: from Debian-exim by mx1001.wikimedia.org with local (Exim 4.84)
archive/BounceHandler.log-20160109.gz:	id 1aHj7E-00079T-Jm
archive/BounceHandler.log-20160109.gz:	for wiki-enwiki-do8y-o0nyff-TShXml0dHQrOgH98@wikimedia.org; Sat, 09 Jan 2016 02:18:52 +0000
archive/BounceHandler.log-20160109.gz:X-Failed-Recipients: REDACTED@yahoo.com
archive/BounceHandler.log-20160109.gz:Auto-Submitted: auto-replied
archive/BounceHandler.log-20160109.gz:From: Mail Delivery System <Mailer-Daemon@mx1001.wikimedia.org>
archive/BounceHandler.log-20160109.gz:To: wiki-enwiki-do8y-o0nyff-TShXml0dHQrOgH98@wikimedia.org
archive/BounceHandler.log-20160109.gz:Subject: Mail delivery failed: returning message to sender
archive/BounceHandler.log-20160109.gz:Message-Id: <E1aHj7E-00079T-Jm@mx1001.wikimedia.org>
archive/BounceHandler.log-20160109.gz:Date: Sat, 09 Jan 2016 02:18:52 +0000
archive/BounceHandler.log-20160109.gz:
archive/BounceHandler.log-20160109.gz:This message was created automatically by mail delivery software.
archive/BounceHandler.log-20160109.gz:
archive/BounceHandler.log-20160109.gz:A message that you sent could not be delivered to one or more of its
archive/BounceHandler.log-20160109.gz:--
archive/BounceHandler.log-20160109.gz:  REDACTED@yahoo.com
archive/BounceHandler.log-20160109.gz:    SMTP error from remote mail server after end of data:
archive/BounceHandler.log-20160109.gz:    host mta7.am0.yahoodns.net [66.196.118.36]: 554 5.7.9 Message not accepted for policy reasons.  See https://help.yahoo.com/kb/postmaster/SLN7253.html
archive/BounceHandler.log-20160109.gz:
archive/BounceHandler.log-20160109.gz:------ This is a copy of the message, including all the headers. ------
archive/BounceHandler.log-20160109.gz:
archive/BounceHandler.log-20160109.gz:Return-path: <wiki-enwiki-do8y-o0nyff-TShXml0dHQrOgH98@wikimedia.org>
archive/BounceHandler.log-20160109.gz:Received: from [2620:0:861:107:b283:feff:fece:fa7f] (port=57080 helo=mw1243.eqiad.wmnet)
archive/BounceHandler.log-20160109.gz:	by mx1001.wikimedia.org with esmtp (Exim 4.84)
archive/BounceHandler.log-20160109.gz:	(envelope-from <wiki-enwiki-do8y-o0nyff-TShXml0dHQrOgH98@wikimedia.org>)
archive/BounceHandler.log-20160109.gz:	id 1aHj7D-00079O-Se
archive/BounceHandler.log-20160109.gz:	for REDACTED@yahoo.com; Sat, 09 Jan 2016 02:18:51 +0000
archive/BounceHandler.log-20160109.gz:Received: from www-data by mw1243.eqiad.wmnet with local (Exim 4.82)
archive/BounceHandler.log-20160109.gz:	(envelope-from <wiki-enwiki-do8y-o0nyff-TShXml0dHQrOgH98@wikimedia.org>)
archive/BounceHandler.log-20160109.gz:	id 1aHj7D-00040a-OA
archive/BounceHandler.log-20160109.gz:	for REDACTED@yahoo.com; Sat, 09 Jan 2016 02:18:51 +0000
archive/BounceHandler.log-20160109.gz:To: GRuban <REDACTED@yahoo.com>
archive/BounceHandler.log-20160109.gz:Subject: Wikipedia email Friday
archive/BounceHandler.log-20160109.gz:From: GRuban <REDACTED@yahoo.com>
archive/BounceHandler.log-20160109.gz:Date: Sat, 09 Jan 2016 02:18:51 +0000
archive/BounceHandler.log-20160109.gz:Message-ID: <enwiki.56906e0b97cb22.01459935@en.wikipedia.org>
archive/BounceHandler.log-20160109.gz:X-Mailer: MediaWiki mailer
archive/BounceHandler.log-20160109.gz:List-Unsubscribe: <https://en.wikipedia.org/wiki/Special:Preferences>
archive/BounceHandler.log-20160109.gz:MIME-Version: 1.0
archive/BounceHandler.log-20160109.gz:Content-type: text/plain; charset=UTF-8
archive/BounceHandler.log-20160109.gz:Content-transfer-encoding: 8bit
archive/BounceHandler.log-20160109.gz:
archive/BounceHandler.log-20160109.gz:Testing Friday
archive/BounceHandler.log-20160109.gz:

It's at least, partally a Yahoo config issue with WMF sending them emails

archive/BounceHandler.log-20160109.gz:    host mta7.am0.yahoodns.net [66.196.118.36]: 554 5.7.9 Message not accepted for policy reasons.  See https://help.yahoo.com/kb/postmaster/SLN7253.html

No sign of any bounceback from your google.com email

Ok, I've sent another Wikipedia emailUser to myself, and another to User:Reedy on en.wikipedia. Haven't gotten anything. It's been half an hour. My wikipedia email address is set to my google.com address. If this is still Yahoo's fault, I'll write you the Wikipedia article of your choice.

Reedy added a comment.EditedJan 23 2016, 8:48 PM

I got your blank email...

For your google email...

+--------+----------------+---------------------------------------------------+
| br_id  | br_timestamp   | br_reason                                         |
+--------+----------------+---------------------------------------------------+
| 246656 | 20160106215148 | Mail delivery failed: returning message to sender |
| 246657 | 20160106215308 | Mail delivery failed: returning message to sender |
| 246659 | 20160106215333 | Mail delivery failed: returning message to sender |
| 246661 | 20160106220104 | Mail delivery failed: returning message to sender |
| 248336 | 20160121024831 | Mail delivery failed: returning message to sender |
| 248338 | 20160121030033 | Mail delivery failed: returning message to sender |
| 248583 | 20160123020520 | Mail delivery failed: returning message to sender |
| 248584 | 20160123020733 | Mail delivery failed: returning message to sender |
+--------+----------------+---------------------------------------------------+
8 rows in set (0.01 sec)

Are you sure it's @google.com not @gmail or @googlemail ?

Nothing in the BounceHandler logs for your google email address either

Yes, I am sure. My form mail to you wasn't quite blank, I wrote today's date and the time I sent it in the body; you got that?

Sent from Yahoo Mail on Android

Dunno why I thought it was blank, checked again, it wasn't.

I received both

Great. That said, I just got another "Your registered email address @google.com has been unsubscribed due to multiple message delivery failures. You can verify your email address again." and yes, was able to verify.

Safe to close as Resolved (or similar) ?

Yes, I think so; I've received an email from someone, even though I can't email myself.